Pular para o conteúdo principal
GET
/
conversations
/
v3
/
custom-channels
/
{channelId}
/
channel-accounts
Obter contas para um canal
curl --request GET \
  --url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-accounts \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "active": true,
      "archived": true,
      "authorized": true,
      "channelId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "inboxId": "<string>",
      "name": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "deliveryIdentifier": {
        "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
        "value": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

channelId
integer<int32>
obrigatório

Parâmetros de consulta

after
string

O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.

archived
boolean

Se apenas os resultados que foram arquivados devem ser retornados.

defaultPageLength
integer<int32>
deliveryIdentifierType
enum<string>[]
Opções disponíveis:
HS_EMAIL_ADDRESS,
HS_PHONE_NUMBER,
HS_SHORT_CODE,
CHANNEL_SPECIFIC_OPAQUE_ID
deliveryIdentifierValue
string[]
limit
integer<int32>

O número máximo de resultados a serem exibidos por página.

sort
string[]

Resposta

successful operation

results
object[]
obrigatório
total
integer<int32>
obrigatório
paging
object
Last modified on April 13, 2026